if (typeof window < "u") {
  let n = function(t) {
    return function(...s) {
      try {
        return t.apply(this, s);
      } catch (e) {
        if (e instanceof DOMException && e.message.includes("has already been used with this registry") || e.message.includes("Cannot define multiple custom elements with the same tag name"))
          return !1;
        throw e;
      }
    };
  };
  customElements.define = n(customElements.define), import("../components/PlayerAccountBettingHistory-CirfY0-7.js").then(({ default: t }) => {
    !customElements.get("player-account-betting-history") && customElements.define("player-account-betting-history", t.element);
  });
}
